﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Datron 1061: ADJ IEEE /4805
DATE:                  2017-03-20 10:13:19
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       74
NUMBER OF LINES:       3113
CONFIGURATION:         Datron 4805 (KVR,ACV,DCV,CUR,RES)
=============================================================================
#
#  Procedure Author:
#                   Portocal II
#                   Adjustment
#                   Datron 1061
#                   Version 1.10
#                   Full Adjustment Procedure
#
#  Source:          Calibration & Servicing Handbook
#                   Part Number 850045
#                   Issue 9 (SEPT.1988)
#
#  Compatibility:   MET/CAL 6.11A or later
#
#  Additional equipment Required:
#                   1 MOhm Lin Source (Datron Number 400391)
#                   10 MOhm Ib Source (Datron Number 400392)
#                   1 Short Link
#
#  The Procedure was tested using:
#
#                   Model No    1061
#                   Serial No   14262
#                   Options 10 20 30 40 50
#
#  Procedure History:
#                  25-02-02 New procedure based on procedure written in
#                           Portocal.
#
#  The procedure is intended for use with Met/Cal(r) calibration software,
#  and the terms and conditions set forth in your METCAL license apply to
#  this procedure.
#
#  Due to our policy of continuously up dating our products, this procedure
#  may contain minor differences in specification to those found in the manual
#  or other documentation. While every effort has been made to ensure that
#  this procedure is accurate, Fluke cannot be held responsible for the
#  consequences of error or omissions found within this procedure.
#
#  The copyright in this procedure is owned by Fluke Precision Measurement
#  Limited.
#
#  Registers Used
#                M[1]   = Average Readings Counter (Adjustment)
#                M[2]   = Readings to Discard   (Adjustment)
#                M[3]   = Sum of Averages   (Adjustment)
#                M[4]   = Average of Readings (Adjustment)
#                M[6]   = First Delimited Value to Identify Option 12
#                M[7]   = Second Delimited Value to Identify Option 12
#                M[10]  = Number of Readings Reqd (Adjustment)
#                M[101] = Adjustment Retry Counter
#                M[102] = Invalid Measurement Counter
#                M[103] = Units Multiplier
#                M[104] = Tolerance
#                M[105] = Tight Tolerance % Multiplier
#                M[106] = Delay Time Remain Counter
#                M[107] = Tight Limit Calculated
#                M[255] = Delay Time Total
#                S[2]   = Range String
#                S[10]  = DCV Function Selected
#                S[11]  = ACV Function Selectied
#                S[12]  = Resistance Function Selected
#                S[13]  = DCI Function Selected
#                S[14]  = ACI Function Selected
#                S[20]  = DCV Function Option Fitted
#                S[21]  = ACV Function Option Fitted
#                S[22]  = Resistance Function Option Fitted
#                S[23]  = DCI Function Option Fitted
#                S[24]  = ACI Function Option Fitted
#                S[25]  = Message to explain that Option 12 is not supported.
#                S[32]  = Delay Time Message
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

 # Metcal Initial Setup
  1.001  IEEE         [SRQ OFF]

  1.002  ASK-                        P                            F        V
  1.003  ASK+           K

  1.004  HEAD         Personnel Safety
  1.005  DISP         [32]Dangerous voltages may be present during
  1.005  DISP         [32]this process, always check it is safe to do so
  1.005  DISP         [32]before touching any electrical connections.

  1.006  HEAD         Test Equipment Requirements
  1.007  DISP         [32]This procedure requires the following
  1.007  DISP         [32]test equipment:
  1.007  DISP
  1.007  DISP         [32]  1 MOhm Lin Source (Datron Number 400391)
  1.007  DISP         [32]  10 MOhm Ib Source (Datron Number 400392)
  1.007  DISP         [32]  One Short Link


  1.008  PIC          1081back
  1.009  DISP         Turn on the UUT and allow a minimum of 2 hours
  1.009  DISP         Warm Up period.
  1.010  PIC          1081_enb

# Metcal Initial Setup
  1.011  IEEE         [SRQ OFF]

# Initial UUT Setup
#  1.002  IEEE         O0Q1T2W0
  1.012  IEEE         O0
  1.013  IEEE         Q1
  1.014  IEEE         T2
  1.015  IEEE         W1
  1.016  IEEE         I0
  1.017  PIC          1081term
  1.018  IEEE         F3R6C0A2


#******************* IDENTIFY OPTIONS ******************************

  1.019  MATH         S[20]="DC Voltage (Standard)"

  1.020  HEAD         Identify Options Fitted

# AC Voltage
  1.021  IEEE         F2[D1000]
  1.022  IEEE         [SPL80]
  1.023  JMPL         ACV_No_Opt  MEM == 80
  1.024  IEEE         F2R3C1A2
  1.025  IEEE         [d10000]
  1.026  4805         1V                           500H                 S  2W
  1.027  IEEE         [d5000]
  1.028  IEEE         [TRIG]
  1.029  IEEE         [SRQ15000,192]
  1.030  IEEE         [I$]
  1.031  MATH         M[6] =  FIND(MEM2, ".", 1)
  1.032  MATH         M[7] =  FIND(MEM2, "E", 1)
  1.033  MATH         MEM= M[7] - M[6]
  1.034  JMPL         ACV_12 MEM == 7
  1.035  MATH         S[21]="AC Voltage (Option 10)"
  1.036  MATH         S[25]=""
  1.037  JMPL         RES_OPT

  1.038  LABEL        ACV_12
  1.039  MATH         S[21]="AC Voltage (Option 12)"
  1.040  MATH         S[25]="THIS PROCEDURE DOES NOT SUPPORT (OPTION 12)"
  1.041  DISP         The UUT to be tested has the High Performance
  1.041  DISP         true RMS AC Converter (Option 12) fitted.
  1.041  DISP
  1.041  DISP         This procedure only supports ACV (Option 10).
  1.041  DISP
  1.041  DISP         If you wish to continue, this procedure can carry
  1.041  DISP         out the Performance Verification on DC Volts &
  1.041  DISP         Resistance only (if fitted).
  1.042  JMPL         RES_OPT

  1.043  LABEL        ACV_No_Opt
  1.044  MATH         S[25]=""
  1.045  MATH         S[21]=""

# Resistance
  1.046  LABEL        RES_OPT
  1.047  MATH         S[22]="Resistance (Option 20)"
  1.048  IEEE         F1[D1000]
  1.049  IEEE         [SPL80]
  1.050  JMPL         DCI_OPT MEM != 80
  1.051  MATH         S[22]=""

  1.052  LABEL        DCI_OPT
  1.053  MATH         S[23]="DC Current (Option 30)"
  1.054  IEEE         F5[D1000]
  1.055  IEEE         [SPL80]
  1.056  JMPL         DCI_No_Opt MEM == 80

#Lets identify whether the UUT is post or pre software 17
  1.057  LABEL        Identify
  1.058  HEAD         Identify Software
  1.059  MATH         S[2] = "100" ; S[3]  = "mA"
  1.060  MATH         M[103] = 1e-3  ; M[108] = 1
  1.061  IEEE         F5R5C1A0
  1.062  M4805  RNGLK 100mA
  1.063  4805         100mA                                             S  2W
  1.064  IEEE         [@4805]G1=
  1.065  IEEE         [d5000]
  1.066  CALL         Sub Datron 10xx Take Reading IEEE

  1.067  JMPL         Pre_Software_17  MEM > 1E6
  1.068  JMPL         _Software_17  MEM > 70
  1.069  LABEL        Check_Connections
  1.070  DISP         Check the I+ &  I- Connections as these
  1.070  DISP         must be connected to the UUT for the software
  1.070  DISP         identification to be carried out correctly.
  1.071  JMPL         Identify

  1.072  LABEL        _Software_17
  1.073  JMPL         Check_Connections  MEM > 200
  1.074  MATH         S[4] = "> 17"
  1.075  JMPL         contd
  1.076  LABEL        Pre_Software_17
  1.077  MATH         S[4] = "< 17"

  1.078  LABEL        contd
  1.079  HEAD         Software Version [S4] [D2000]
  1.080  RSLT         =
  1.081  JMPL         ACI_OPT

  1.082  LABEL        DCI_No_Opt
  1.083  MATH         S[4] = "N/A"
  1.084  MATH         S[23]=""


  1.085  LABEL        ACI_OPT
  1.086  MATH         S[24]="AC Current (Option 30)"
  1.087  IEEE         F4[D1000]
  1.088  IEEE         [SPL80]
  1.089  JMPL         DISP_OPT MEM != 80
  1.090  MATH         S[24]=""

  1.091  LABEL        DISP_OPT
  1.092  DISP         1061 With Options Fitted:
  1.092  DISP         [32]                        [S21]
  1.092  DISP         [32]                        [S22]
  1.092  DISP         [32]                        [S23]
  1.092  DISP         [32]                        [S24]
  1.092  DISP         Software Version [S4]
  1.092  DISP         [32]
  1.092  DISP         [S25]


  1.093  RSLT         =1061 With Options Fitted:
  1.094  RSLT         =[32]              [S21]
  1.095  RSLT         =[32]              [S22]
  1.096  RSLT         =[32]              [S23]
  1.097  RSLT         =[32]              [S24]
  1.098  RSLT         =
  1.099  RSLT         =Software Version [S4]
  1.100  RSLT         =
  1.101  RSLT         =[S25]


#***************** FUNCTION SELECTION **********************

#Allow the operator to choose the function to run. All functions are
#preloaded they are cleared if necessary by the operator selection.
  1.102  LABEL        Begin

#Load Registers with Options Fitted
  1.103  MATH         S[10] = S[20]
  1.104  MATH         S[11] = S[21]
  1.105  MATH         S[12] = S[22]
  1.106  MATH         S[13] = S[23]
  1.107  MATH         S[14] = S[24]

  1.108  HEAD         Function Selection
  1.109  OPBR         [32] Do you wish to run the whole Calibration procedure?
  1.110  JMPL         Run_Some MEM1 ==-1
  1.111  JMPL         Finish_Selection

  1.112  LABEL        Run_Some
  1.113  OPBR         Do you want to run the [S10]
  1.113  OPBR         Adjustment Calibration Test ?

  1.114  JMPL         ACV MEM1==1
  1.115  MATH         S[10] = ""

  1.116  LABEL        ACV
  1.117  JMPL         RES CMPI ("",S[11]) == 1
  1.118  JMPL         RES CMPI ("AC Voltage (Option 12)",S[11]) == 1
  1.119  OPBR         Do you want to run the [S11]
  1.119  OPBR         Adjustment Calibration Test ?

  1.120  JMPL         RES MEM1==1
  1.121  MATH         S[11] = ""

  1.122  LABEL        RES
  1.123  JMPL         DCI CMPI ("",S[12]) == 1
  1.124  OPBR         Do you want to run the [S12]
  1.124  OPBR         Adjustment Calibration Test ?

  1.125  JMPL         DCI MEM1==1
  1.126  MATH         S[12] = ""

  1.127  LABEL        DCI
  1.128  JMPL         ACI CMPI ("",S[13]) == 1
  1.129  JMPL         NO_DCI CMPI ("AC Voltage (Option 12)",S[11]) == 1
  1.130  OPBR         Do you want to run the [S13]
  1.130  OPBR         Adjustment Calibration Test ?
  1.131  JMPL         ACI MEM1==1
  1.132  LABEL        NO_DCI
  1.133  MATH         S[13] = ""

  1.134  LABEL        ACI
  1.135  JMPL         Finish_Selection CMPI ("",S[14]) == 1
  1.136  JMPL         NO_ACI CMPI ("AC Voltage (Option 12)",S[11]) == 1
  1.137  OPBR         Do you want to run the [S14]
  1.137  OPBR         Adjustment Calibration Test ?

  1.138  JMPL         Finish_Selection  MEM1==1
  1.139  LABEL        NO_ACI
  1.140  MATH         S[14] = ""

#Display Selections Chosen
  1.141  LABEL        Finish_Selection

#Erase Option_12s Register
  1.142  JMPL         CONT_IF_10 CMPI ("AC Voltage (Option 10)",S[11]) == 1
  1.143  MATH         S[11] =""

  1.144  LABEL        CONT_IF_10
  1.145  OPBR         [32]Adjustment Calibration Tests Chosen:
  1.145  OPBR         [32]                 [S10]
  1.145  OPBR         [32]                 [S11]
  1.145  OPBR         [32]                 [S12]
  1.145  OPBR         [32]                 [S13]
  1.145  OPBR         [32]                 [S14]
  1.145  OPBR
  1.145  OPBR         (YES to continue/ NO to reselect)
  1.146  JMPL         Begin MEM1==-1
  1.147  IEEE         W1
  1.148  4805         *                                                 S

#**************************** DC VOLTAGE *******************************
#***********************************************************************

  1.149  JMPL         SKIP_DCV  CMPI ("DC Voltage (Standard)",S[10]) != 1


  1.150  HEAD         {Function: DC Voltage}
  1.151  TARGET       -p

# Measurement Setup
  1.152  VSET         NTHROW = 1 NMEAS = 5

# UUT Setup Filter when Carrying out Adjustment
  1.153  MATH         S[26] = "C0"

# UUT Setup Filter When Taking Reading
  1.154  MATH         S[27] = "C0"

  1.155  MATH         MEM1  = 0


# ***************** 1V RANGE LINEARITY ****************
  1.156  ASK-                              U

  1.157  PIC          1081_lin

# Set String Registers:        Range          Units
  1.158  MATH         S[2] = "1" ; S[3]  = "V"

# Set Numeric Register:  Units
  1.159  MATH         M[103] = 1   ; M[108] = 1


# UUT Setup to 100mV Range
  1.160  RSLT         =
  1.161  RSLT         =1V Range Linearity
  1.162  IEEE         F3R3C0A2


# Setup Registers      Delay Time      Message
  1.163  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
  1.164  MATH         M[104] = .0001

# 48xx Setup
  1.165  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
  1.166  MATH         M[10] = 1       ; M[2] = 1

#                    Tight Tol Percnt.;    Lin
  1.167  MATH         M[105]  = 40    ;    S[30] = "G4"

  1.168  CALL         Sub Datron 10xx Cal Adjust IEEE
  1.169  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  1.170  IEEE         [D2000]
  1.171  MATH         M[4] = ABS(M[4] * 1e5)
  1.172  EVAL   -e   (M[4]) < (M[104] * 1e5):Lin Reading [M4] < 10 Digits



# ***************** 100mV RANGE INPUT BIAS ****************

  2.001  PIC          1081_ib

  2.002  IEEE         W1


# Set String Registers:        Range          Units
  2.003  MATH         S[2] = "100" ; S[3]  = "mV"

# Set Numeric Register:  Units
  2.004  MATH         M[103] = 1e-3   ; M[108] = 1


# UUT Setup to 100mV Range
  2.005  RSLT         =
  2.006  RSLT         =100mV Range Input Bias Current
  2.007  IEEE         F3R2C0A2


# Setup Registers      Delay Time      Message
  2.008  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
  2.009  MATH         M[104] = 0.1

# 48xx Setup
  2.010  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
  2.011  MATH         M[10] = 1       ; M[2] = 1

#                    Tight Tol Percnt.;    Ib
  2.012  MATH         M[105]  = 40    ;    S[30] = "G2"

  2.013  CALL         Sub Datron 10xx Cal Adjust IEEE
  2.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  2.015  IEEE         [D2000]

  2.016  MATH         M[4] = ABS(M[4] * 1e3)
  2.017  EVAL   -e   M[4]<(M[104]*1e3):Input Bias [M4] < 100 Digits





# ***************** 100 mV RANGE ****************
  3.001  ASK+                              U
  3.002  PIC          1081term

# Set String Registers:        Range          Units
  3.003  MATH         S[2] = "100" ; S[3]  = "mV"

# Set Numeric Register:  Units
  3.004  MATH         M[103] = 1e-3   ; M[108] = 1


# UUT Setup to 100mV Range
  3.005  RSLT         =
  3.006  RSLT         =100 mV Range
  3.007  IEEE         F3R2C0A2

# ********************* + 0 mV Output ********************************

# Setup Registers      Delay Time      Message
  3.008  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
  3.009  MATH         M[104] = 0.002

# 48xx Setup
  3.010  M4805  RNGLK 100mV
  3.011  4805         0mV                                               S  2W
  3.012  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
  3.013  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
  3.014  MATH         M[105]  = 40    ;    S[30] = "G0"

  3.015  CALL         Sub Datron 10xx Cal Adjust IEEE
  3.016  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  3.017  IEEE         [D2000]

# Take Reading
  3.018  TARGET       -m
  3.019  CALL         Sub Datron 10xx Take Reading IEEE
  3.020  MEMCX        +0.000mV       M104U


# ********************* +100 mV Output ********************************

# Setup Registers      Delay Time
  4.001  MATH         M[255] = 10

# Set Tolerance
  4.002  MATH         M[104] = 0.003

# 48xx Setup
  4.003  M4805  RNGLK 100mV
  4.004  4805         100mV                                             S  2W
  4.005  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
  4.006  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Gain Cal
  4.007  MATH         M[105]  = 20    ;    S[30] = "G1"

  4.008  CALL         Sub Datron 10xx Cal Adjust IEEE
  4.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  4.010  IEEE         [D2000]


# Take Reading
  4.011  TARGET       -m
  4.012  CALL         Sub Datron 10xx Take Reading IEEE
  4.013  MEMCX        100.000mV      M104U

# ********************* - 0 mV Output ********************************

# Setup Registers      Delay Time
  5.001  MATH         M[255] = 10

# Set Tolerance
  5.002  MATH         M[104] = 0.002

# 48xx Setup
  5.003  M4805  RNGLK 100mV
  5.004  4805         0mV                                         -Z    S  2W
  5.005  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
  5.006  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
  5.007  MATH         M[105]  = 40    ;    S[30] = "G0"
  5.008  CALL         Sub Datron 10xx Cal Adjust IEEE
  5.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  5.010  IEEE         [D2000]

# Take Reading
  5.011  TARGET       -m
  5.012  CALL         Sub Datron 10xx Take Reading IEEE
  5.013  MEMCX        -0.000mV       M104U

# ********************* -100 mV Output ********************************

# Setup Registers      Delay Time
  6.001  MATH         M[255] = 10

# Set Tolerance
  6.002  MATH         M[104] = 0.003

# 48xx Setup
  6.003  M4805  RNGLK 100mV
  6.004  4805         -100mV                                            S  2W
  6.005  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
  6.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
  6.007  MATH         M[105]  = 20    ;    S[30] = "G1"
  6.008  CALL         Sub Datron 10xx Cal Adjust IEEE
  6.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  6.010  IEEE         [D2000]

# Take Reading
  6.011  TARGET       -m
  6.012  CALL         Sub Datron 10xx Take Reading IEEE
  6.013  MEMCX        -100.000mV     M104U


# ***************** 1V RANGE ****************

# Set String Registers:        Range          Units
  7.001  MATH         S[2] = "1" ; S[3]  = "V"

# Set Numeric Register:  Units
  7.002  MATH         M[103] = 1

# UUT Setup to 1V Range
  7.003  RSLT         =
  7.004  RSLT         =1V Range
  7.005  IEEE         F3R3C0A2

# ********************* + 0 V Output ********************************

# Setup Registers      Delay Time      Message
  7.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
  7.007  MATH         M[104] = 0.00002

# 48xx Setup
  7.008  M4805  RNGLK 1V
  7.009  4805         0V                                                S  2W
  7.010  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
  7.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
  7.012  MATH         M[105]  = 40    ;    S[30] = "G0"
  7.013  CALL         Sub Datron 10xx Cal Adjust IEEE
  7.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  7.015  IEEE         [D2000]

# Take Reading
  7.016  TARGET       -m
  7.017  CALL         Sub Datron 10xx Take Reading IEEE
  7.018  MEMCX        +0.00000V      M104U

# ********************* +1 V Output ********************************

# Setup Registers      Delay Time
  8.001  MATH         M[255] = 10

# Set Tolerance
  8.002  MATH         M[104] = 0.00002

# 48xx Setup
  8.003  M4805  RNGLK 1V
  8.004  4805         1V                                                S  2W
  8.005  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
  8.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
  8.007  MATH         M[105]  = 20    ;    S[30] = "G1"
  8.008  CALL         Sub Datron 10xx Cal Adjust IEEE
  8.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  8.010  IEEE         [D2000]

# Take Reading
  8.011  TARGET       -m
  8.012  CALL         Sub Datron 10xx Take Reading IEEE
  8.013  MEMCX        1.00000V       M104U

# ********************* - 0 V Output ********************************

# Setup Registers      Delay Time      Message
  9.001  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
  9.002  MATH         M[104] = 0.00002

# 48xx Setup
  9.003  M4805  RNGLK 1V
  9.004  4805         0V                                          -Z    S  2W
  9.005  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
  9.006  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
  9.007  MATH         M[105]  = 40    ;    S[30] = "G0"
  9.008  CALL         Sub Datron 10xx Cal Adjust IEEE
  9.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  9.010  IEEE         [D2000]

# Take Reading
  9.011  TARGET       -m
  9.012  CALL         Sub Datron 10xx Take Reading IEEE
  9.013  MEMCX        -0.00000V      M104U

# ********************* -1 V Output ********************************

# Setup Registers      Delay Time
 10.001  MATH         M[255] = 10

# Set Tolerance
 10.002  MATH         M[104] = 0.00002

# 48xx Setup
 10.003  M4805  RNGLK 1V
 10.004  4805         -1V                                               S  2W
 10.005  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 10.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 10.007  MATH         M[105]  = 20    ;    S[30] = "G1"
 10.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 10.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 10.010  IEEE         [D2000]

# Take Reading
 10.011  TARGET       -m
 10.012  CALL         Sub Datron 10xx Take Reading IEEE
 10.013  MEMCX        -1.00000V      M104U


# ***************** 10V RANGE ****************

# Set String Registers:        Range          Units
 11.001  MATH         S[2] = "10" ; S[3]  = "V"

# Set Numeric Register:  Units
 11.002  MATH         M[103] = 1

# UUT Setup to 10V Range
 11.003  RSLT         =
 11.004  RSLT         =10V Range
 11.005  IEEE         F3R4C0A2

# ********************* + 0 V Output ********************************

# Setup Registers      Delay Time      Message
 11.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 11.007  MATH         M[104] = 0.0002

# 48xx Setup
 11.008  M4805  RNGLK 10V
 11.009  4805         0V                                                S  2W
 11.010  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 11.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 11.012  MATH         M[105]  = 40    ;    S[30] = "G0"
 11.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 11.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 11.015  IEEE         [D2000]

# Take Reading
 11.016  TARGET       -m
 11.017  CALL         Sub Datron 10xx Take Reading IEEE
 11.018  MEMCX        +0.0000V       M104U

# ********************* +10 V Output ********************************

# Setup Registers      Delay Time
 12.001  MATH         M[255] = 10

# Set Tolerance
 12.002  MATH         M[104] = 0.0002

# 48xx Setup
 12.003  M4805  RNGLK 10V
 12.004  4805         10V                                               S  2W
 12.005  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 12.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 12.007  MATH         M[105]  = 20    ;    S[30] = "G1"
 12.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 12.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 12.010  IEEE         [D2000]

# Take Reading
 12.011  TARGET       -m
 12.012  CALL         Sub Datron 10xx Take Reading IEEE
 12.013  MEMCX        10.0000V       M104U


# ********************* - 0 V Output ********************************

# Setup Registers      Delay Time      Message
 13.001  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 13.002  MATH         M[104] = 0.0002

# 48xx Setup
 13.003  M4805  RNGLK 10V
 13.004  4805         0V                                          -Z    S  2W
 13.005  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 13.006  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 13.007  MATH         M[105]  = 40    ;    S[30] = "G0"
 13.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 13.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 13.010  IEEE         [D2000]

# Take Reading
 13.011  TARGET       -m
 13.012  CALL         Sub Datron 10xx Take Reading IEEE
 13.013  MEMCX        -0.0000V       M104U

# ********************* -10 V Output ********************************

# Setup Registers      Delay Time
 14.001  MATH         M[255] = 10

# Set Tolerance
 14.002  MATH         M[104] = 0.0002

# 48xx Setup
 14.003  M4805  RNGLK 10V
 14.004  4805         -10V                                              S  2W
 14.005  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 14.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 14.007  MATH         M[105]  = 20    ;    S[30] = "G1"
 14.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 14.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 14.010  IEEE         [D2000]

# Take Reading
 14.011  TARGET       -m
 14.012  CALL         Sub Datron 10xx Take Reading IEEE
 14.013  MEMCX        -10.0000V      M104U


# ***************** 100 V RANGE ****************

# Set String Registers:        Range          Units
 15.001  MATH         S[2] = "100" ; S[3]  = "V"

# Set Numeric Register:  Units
 15.002  MATH         M[103] = 1

# UUT Setup to 100V Range
 15.003  RSLT         =
 15.004  RSLT         =100 V Range
 15.005  IEEE         F3R5C0A2


# ********************* + 0 V Output ********************************

# Setup Registers      Delay Time      Message
 15.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 15.007  MATH         M[104] = 0.002

# 48xx Setup
 15.008  M4805  RNGLK 100V
 15.009  4805         0V                                                S  2W
 15.010  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 15.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 15.012  MATH         M[105]  = 40    ;    S[30] = "G0"
 15.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 15.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 15.015  IEEE         [D2000]

# Take Reading
 15.016  TARGET       -m
 15.017  CALL         Sub Datron 10xx Take Reading IEEE
 15.018  MEMCX        +0.000V        M104U

# ********************* +100 V Output ********************************

# Setup Registers      Delay Time
 16.001  MATH         M[255] = 10

# Set Tolerance
 16.002  MATH         M[104] = 0.002

# 48xx Setup
 16.003  M4805  RNGLK 100V
 16.004  4805         100V                                              S  2W
 16.005  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 16.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 16.007  MATH         M[105]  = 20    ;    S[30] = "G1"
 16.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 16.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 16.010  IEEE         [D2000]

# Take Reading
 16.011  TARGET       -m
 16.012  CALL         Sub Datron 10xx Take Reading IEEE
 16.013  MEMCX        100.000V       M104U

# ********************* - 0 V Output ********************************

# Setup Registers      Delay Time      Message
 17.001  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 17.002  MATH         M[104] = 0.002

# 48xx Setup
 17.003  M4805  RNGLK 100V
 17.004  4805         0V                                          -Z    S  2W
 17.005  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 17.006  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 17.007  MATH         M[105]  = 40    ;    S[30] = "G0"
 17.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 17.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 17.010  IEEE         [D2000]

# Take Reading
 17.011  TARGET       -m
 17.012  CALL         Sub Datron 10xx Take Reading IEEE
 17.013  MEMCX        -0.000V        M104U

# ********************* -100 V Output ********************************

# Setup Registers      Delay Time
 18.001  MATH         M[255] = 10

# Set Tolerance
 18.002  MATH         M[104] = 0.002

# 48xx Setup
 18.003  M4805  RNGLK 100V
 18.004  4805         -100V                                             S  2W
 18.005  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 18.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 18.007  MATH         M[105]  = 20    ;    S[30] = "G1"
 18.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 18.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 18.010  IEEE         [D2000]

# Take Reading
 18.011  TARGET       -m
 18.012  CALL         Sub Datron 10xx Take Reading IEEE
 18.013  MEMCX        -100.000V      M104U



# ***************** 1000V RANGE ****************

# Set String Registers:        Range          Units
 19.001  MATH         S[2] = "1000" ; S[3]  = "V"

# Set Numeric Register:  Units
 19.002  MATH         M[103] = 1

# UUT Setup to 1000V Range
 19.003  RSLT         =
 19.004  RSLT         =1000V Range
 19.005  IEEE         F3R6C0A2

# ********************* + 0 V Output ********************************

# Setup Registers      Delay Time      Message
 19.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 19.007  MATH         M[104] = 0.02

# 48xx Setup
 19.008  M4805  RNGLK 1000V
 19.009  4805         0V                                                S  2W
 19.010  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 19.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 19.012  MATH         M[105]  = 40    ;    S[30] = "G0"
 19.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 19.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 19.015  IEEE         [D2000]

# Take Reading
 19.016  TARGET       -m
 19.017  CALL         Sub Datron 10xx Take Reading IEEE
 19.018  MEMCX        +0.00V         M104U

# ********************* +1000 V Output ********************************

# Setup Registers      Delay Time
 20.001  MATH         M[255] = 10

# Set Tolerance
 20.002  MATH         M[104] = 0.02

# 48xx Setup
 20.003  M4805  RNGLK 1000V
 20.004  4805         1000V                                             S  2W
 20.005  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 20.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 20.007  MATH         M[105]  = 20    ;    S[30] = "G1"
 20.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 20.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 20.010  IEEE         [D2000]

# Take Reading
 20.011  TARGET       -m
 20.012  CALL         Sub Datron 10xx Take Reading IEEE
 20.013  MEMCX        1000.00V       M104U

# ********************* - 0 V Output ********************************

# Setup Registers      Delay Time      Message
 21.001  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 21.002  MATH         M[104] = 0.02

# 48xx Setup
 21.003  M4805  RNGLK 1000V
 21.004  4805         0V                                          -Z    S  2W
 21.005  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 21.006  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 21.007  MATH         M[105]  = 40    ;    S[30] = "G0"
 21.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 21.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 21.010  IEEE         [D2000]

# Take Reading
 21.011  TARGET       -m
 21.012  CALL         Sub Datron 10xx Take Reading IEEE
 21.013  MEMCX        -0.00V         M104U

# ********************* -1000 V Output ********************************

# Setup Registers      Delay Time
 22.001  MATH         M[255] = 10

# Set Tolerance
 22.002  MATH         M[104] = 0.018

# 48xx Setup
 22.003  M4805  RNGLK 1000V
 22.004  4805         -1000V                                            S  2W
 22.005  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 22.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 22.007  MATH         M[105]  = 20    ;    S[30] = "G1"
 22.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 22.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 22.010  IEEE         [D2000]

# Take Reading
 22.011  TARGET       -m
 22.012  CALL         Sub Datron 10xx Take Reading IEEE
 22.013  MEMCX        -1000.00V      M104U


# Rest After High Voltage
 23.001  IEEE         F3R6C0A0
# Setup Registers      Delay Time
 23.002  MATH         M[255] = 40  ; S[32] = "Rest Period"
 23.003  CALL         Sub Wait

 23.004  LABEL        SKIP_DCV
#**************************** AC VOLTAGE *******************************
#***********************************************************************
 23.005  JMPL         SKIP_ACV  CMPI ("AC Voltage (Option 10)",S[11])!= 1

 23.006  RSLT         =
 23.007  HEAD         {Function: AC Voltage}
 23.008  TARGET       -p

# Measurement Setup
 23.009  VSET         NTHROW = 1 NMEAS = 5


 23.010  PIC          1081shrt

# UUT Setup Filter when Carrying out Adjustment
 23.011  MATH         S[26] = "C0"

# UUT Setup Filter When Taking Reading
 23.012  MATH         S[27] = "C1"



 23.013  ASK-                              U
# ***************** 100mV DC + ACV RANGE ****************

# Set String Registers:        Range          Units
 23.014  MATH         S[2] = "100" ; S[3]  = "mV"

# Set Numeric Register:  Units
 23.015  MATH         M[103] = 1e-3   ; M[108] = 1


# UUT Setup to 100mV Range
 23.016  RSLT         =
 23.017  RSLT         =100mV AC + DCV Range
 23.018  IEEE         F6R2C0A2



# *********************  0 V Shorted Output ********************************

# Setup Registers      Delay Time      Message
 23.019  MATH         M[255] = 60  ; S[32] = "Settling Time"

# Set Tolerance
 23.020  MATH         M[104] = 0.003

# 48xx Setup
 23.021  MATH         MEM1  = 0
 23.022  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 23.023  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 23.024  MATH         M[105]  = 40    ;    S[30] = "G0"

 23.025  CALL         Sub Datron 10xx Cal Adjust IEEE
 23.026  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 23.027  IEEE         [D2000]

# Take Reading
 23.028  TARGET       -m
 23.029  CALL         Sub Datron 10xx Take Reading IEEE
 23.030  MEMCX        +0.000mV       M104U         Shorted


# ***************** 100 mV RANGE ****************

# Set String Registers:        Range          Units
 24.001  MATH         S[2] = "100" ; S[3]  = "mV"

# Set Numeric Register:  Units
 24.002  MATH         M[103] = 1e-3   ; M[108] = 1


# UUT Setup to 100mV Range
 24.003  RSLT         =
 24.004  RSLT         =100 mV Range
 24.005  IEEE         F2R2C1A2

# *********************  0 mV Shorted Output ********************************

# Setup Registers      Delay Time      Message
 24.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 24.007  MATH         M[104] = 0.1

# 48xx Setup

 24.008  CALL         Sub Wait

# Take Reading
 24.009  TARGET       -m
 24.010  CALL         Sub Datron 10xx Take Reading IEEE
 24.011  MEMCX        +0.000mV       M104U         Shorted

# ***************** 1V RANGE ****************

# Set String Registers:        Range          Units
 25.001  MATH         S[2] = "1" ; S[3]  = "V"

# Set Numeric Register:  Units
 25.002  MATH         M[103] = 1   ; M[108] = 1


# UUT Setup to 100mV Range
 25.003  RSLT         =
 25.004  RSLT         =1V Range
 25.005  IEEE         F2R3C0A2

# *********************  0 V Shorted Output ********************************

# Setup Registers      Delay Time      Message
 25.006  MATH         M[255] = 5  ; S[32] = "Settling Time"

# Set Tolerance
 25.007  MATH         M[104] = 0.00002

# 48xx Setup

 25.008  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 25.009  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 25.010  MATH         M[105]  = 40    ;    S[30] = "G0"

 25.011  CALL         Sub Datron 10xx Cal Adjust IEEE
 25.012  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 25.013  IEEE         [D2000]

# Take Reading
 25.014  TARGET       -m
 25.015  CALL         Sub Datron 10xx Take Reading IEEE
 25.016  MEMCX        +0.00000V      M104U         Shorted

# ***************** 10V RANGE ****************

# Set String Registers:        Range          Units
 26.001  MATH         S[2] = "10" ; S[3]  = "V"

# Set Numeric Register:  Units
 26.002  MATH         M[103] = 1   ; M[108] = 1


# UUT Setup to 100mV Range
 26.003  RSLT         =
 26.004  RSLT         =10V Range
 26.005  IEEE         F2R4C0A2

# *********************  0 V Shorted Output ********************************

# Setup Registers      Delay Time      Message
 26.006  MATH         M[255] = 5  ; S[32] = "Settling Time"

# Set Tolerance
 26.007  MATH         M[104] = 0.0002

# 48xx Setup

 26.008  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 26.009  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 26.010  MATH         M[105]  = 40    ;    S[30] = "G0"

 26.011  CALL         Sub Datron 10xx Cal Adjust IEEE
 26.012  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 26.013  IEEE         [D2000]

# Take Reading
 26.014  TARGET       -m
 26.015  CALL         Sub Datron 10xx Take Reading IEEE
 26.016  MEMCX        +0.0000V       M104U         Shorted

# ***************** 100V RANGE ****************

# Set String Registers:        Range          Units
 27.001  MATH         S[2] = "100" ; S[3]  = "V"

# Set Numeric Register:  Units
 27.002  MATH         M[103] = 1   ; M[108] = 1


# UUT Setup to 100mV Range
 27.003  RSLT         =
 27.004  RSLT         =100V Range
 27.005  IEEE         F2R5C0A2

# *********************  0 V Shorted Output ********************************

# Setup Registers      Delay Time      Message
 27.006  MATH         M[255] = 5  ; S[32] = "Settling Time"

# Set Tolerance
 27.007  MATH         M[104] = 0.002

# 48xx Setup

 27.008  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 27.009  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 27.010  MATH         M[105]  = 40    ;    S[30] = "G0"

 27.011  CALL         Sub Datron 10xx Cal Adjust IEEE
 27.012  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 27.013  IEEE         [D2000]

# Take Reading
 27.014  TARGET       -m
 27.015  CALL         Sub Datron 10xx Take Reading IEEE
 27.016  MEMCX        +0.000V        M104U         Shorted

# ***************** 1000V RANGE ****************

# Set String Registers:        Range          Units
 28.001  MATH         S[2] = "1000" ; S[3]  = "V"

# Set Numeric Register:  Units
 28.002  MATH         M[103] = 1   ; M[108] = 1


# UUT Setup to 100mV Range
 28.003  RSLT         =
 28.004  RSLT         =1000V Range
 28.005  IEEE         F2R6C0A2

# *********************  0 V Shorted Output ********************************

# Setup Registers      Delay Time      Message
 28.006  MATH         M[255] = 5  ; S[32] = "Settling Time"

# Set Tolerance
 28.007  MATH         M[104] = 0.02

# 48xx Setup
 28.008  M4805  RNGLK 1000V
 28.009  4805         0mV                                               S  2W
 28.010  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 28.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 28.012  MATH         M[105]  = 40    ;    S[30] = "G0"

 28.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 28.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 28.015  IEEE         [D2000]

# Take Reading
 28.016  TARGET       -m
 28.017  CALL         Sub Datron 10xx Take Reading IEEE
 28.018  MEMCX        +0.00V         M104U         Shorted





# ***************** 100 mV RANGE ****************
 29.001  ASK+                              U
 29.002  PIC          1081term

# Set String Registers:        Range          Units
 29.003  MATH         S[2] = "100" ; S[3]  = "mV"

# Set Numeric Register:  Units
 29.004  MATH         M[103] = 1e-3   ; M[108] = 1

# UUT Setup Filter when Carrying out Adjustment
 29.005  MATH         S[26] = "C1"

# UUT Setup Filter When Taking Reading
 29.006  MATH         S[27] = "C1"


# UUT Setup to 100mV Range
 29.007  RSLT         =
 29.008  RSLT         =100 mV Range
 29.009  IEEE         F2R2C1A0

# ********************* 100 mV @ 500Hz Output ********************************

# Setup Registers      Delay Time
 29.010  MATH         M[255] = 10    ; S[32] = "Settling Time"

# Set Tolerance
 29.011  MATH         M[104] = 0.080

# 48xx Setup
 29.012  M4805  RNGLK 100mV
 29.013  4805         100mV                        500H                 S  2W
 29.014  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 29.015  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 29.016  MATH         M[105]  = 20    ;    S[30] = "G1"
 29.017  CALL         Sub Datron 10xx Cal Adjust IEEE
 29.018  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 29.019  IEEE         [D2000]

# Take Reading
 29.020  TARGET       -m
 29.021  CALL         Sub Datron 10xx Take Reading IEEE
 29.022  MEMCX        100.000mV      M104U         500H

# ********************* 100 mV @ 30 kHz Output *****************************

# Setup Registers      Delay Time
 30.001  MATH         M[255] = 10

# Set Tolerance
 30.002  MATH         M[104] = 0.2

# 48xx Setup
 30.003  M4805  RNGLK 100mV
 30.004  4805         100mV                        30kH                 S  2W
 30.005  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 30.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 30.007  MATH         M[105]  = 20    ;    S[30] = "G3"
 30.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 30.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 30.010  IEEE         [D2000]

# Take Reading
 30.011  TARGET       -m
 30.012  CALL         Sub Datron 10xx Take Reading IEEE
 30.013  MEMCX        100.000mV      M104U         30kH



# ***************** 1V RANGE ****************

# Set String Registers:        Range          Units
 31.001  MATH         S[2] = "1" ; S[3]  = "V"

# Set Numeric Register:  Units
 31.002  MATH         M[103] = 1

# UUT Setup to 1V Range
 31.003  RSLT         =
 31.004  RSLT         =1V Range
 31.005  IEEE         F2R3C1A0

# ********************* 1V @ 500Hz Output ********************************

# Setup Registers      Delay Time
 31.006  MATH         M[255] = 10

# Set Tolerance
 31.007  MATH         M[104] = 0.0004

# 48xx Setup
 31.008  M4805  RNGLK 1V
 31.009  4805         1V                           500H                 S  2W
 31.010  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 31.011  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 31.012  MATH         M[105]  = 20    ;    S[30] = "G1"
 31.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 31.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 31.015  IEEE         [D2000]

# Take Reading
 31.016  TARGET       -m
 31.017  CALL         Sub Datron 10xx Take Reading IEEE
 31.018  MEMCX        1.00000V       M104U         500H

# ********************* 1V @ 30 kHz Output ********************************

# Setup Registers      Delay Time
 32.001  MATH         M[255] = 10

# Set Tolerance
 32.002  MATH         M[104] = 0.001

# 48xx Setup
 32.003  M4805  RNGLK 1V
 32.004  4805         1V                           30kH                 S  2W
 32.005  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 32.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 32.007  MATH         M[105]  = 20    ;    S[30] = "G3"
 32.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 32.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 32.010  IEEE         [D2000]

# Take Reading
 32.011  TARGET       -m
 32.012  CALL         Sub Datron 10xx Take Reading IEEE
 32.013  MEMCX        1.00000V       M104U         30kH



# ***************** 10V RANGE ****************

# Set String Registers:        Range          Units
 33.001  MATH         S[2] = "10" ; S[3]  = "V"

# Set Numeric Register:  Units
 33.002  MATH         M[103] = 1

# UUT Setup to 10V Range
 33.003  RSLT         =
 33.004  RSLT         =10V Range
 33.005  IEEE         F2R4C1A0

# ********************* 10V @ 500Hz Output ********************************

# Setup Registers      Delay Time
 33.006  MATH         M[255] = 10

# Set Tolerance
 33.007  MATH         M[104] = 0.004

# 48xx Setup
 33.008  M4805  RNGLK 10V
 33.009  4805         10V                          500H                 S  2W
 33.010  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 33.011  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 33.012  MATH         M[105]  = 20    ;    S[30] = "G1"
 33.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 33.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 33.015  IEEE         [D2000]

# Take Reading
 33.016  TARGET       -m
 33.017  CALL         Sub Datron 10xx Take Reading IEEE
 33.018  MEMCX        10.0000V       M104U         500H

# ********************* 10V @ 30kHz Output ********************************

# Setup Registers      Delay Time
 34.001  MATH         M[255] = 10

# Set Tolerance
 34.002  MATH         M[104] = 0.01

# 48xx Setup
 34.003  M4805  RNGLK 10V
 34.004  4805         10V                          30kH                 S  2W
 34.005  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 34.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 34.007  MATH         M[105]  = 20    ;    S[30] = "G3"
 34.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 34.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 34.010  IEEE         [D2000]

# Take Reading
 34.011  TARGET       -m
 34.012  CALL         Sub Datron 10xx Take Reading IEEE
 34.013  MEMCX        10.0000V       M104U         30kH



# ***************** 100 V RANGE ****************

# Set String Registers:        Range          Units
 35.001  MATH         S[2] = "100" ; S[3]  = "V"

# Set Numeric Register:  Units
 35.002  MATH         M[103] = 1

# UUT Setup to 100V Range
 35.003  RSLT         =
 35.004  RSLT         =100 V Range
 35.005  IEEE         F2R5C1A0

# ********************* 100V @ 500Hz Output ********************************

# Setup Registers      Delay Time
 35.006  MATH         M[255] = 10

# Set Tolerance
 35.007  MATH         M[104] = 0.04

# 48xx Setup
 35.008  M4805  RNGLK 100V
 35.009  4805         100V                         500H                 S  2W
 35.010  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 35.011  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 35.012  MATH         M[105]  = 20    ;    S[30] = "G1"
 35.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 35.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 35.015  IEEE         [D2000]

# Take Reading
 35.016  TARGET       -m
 35.017  CALL         Sub Datron 10xx Take Reading IEEE
 35.018  MEMCX        100.000V       M104U         500H

# ********************* 100V @ 30kHz Output ********************************

# Setup Registers      Delay Time
 36.001  MATH         M[255] = 10

# Set Tolerance
 36.002  MATH         M[104] = 0.1

# 48xx Setup
 36.003  M4805  RNGLK 100V
 36.004  4805         100V                         30kH                 S  2W
 36.005  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 36.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 36.007  MATH         M[105]  = 20    ;    S[30] = "G3"
 36.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 36.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 36.010  IEEE         [D2000]

# Take Reading
 36.011  TARGET       -m
 36.012  CALL         Sub Datron 10xx Take Reading IEEE
 36.013  MEMCX        100.000V       M104U         30kH



# ***************** 1000V RANGE ****************

# Set String Registers:        Range          Units
 37.001  MATH         S[2] = "1000" ; S[3]  = "V"

# Set Numeric Register:  Units
 37.002  MATH         M[103] = 1

# UUT Setup to 1000V Range
 37.003  RSLT         =
 37.004  RSLT         =1000 V Range
 37.005  IEEE         F2R6C1A0

# ********************* 1000V @ 500Hz Output ********************************

# Setup Registers      Delay Time
 37.006  MATH         M[255] = 10

# Set Tolerance
 37.007  MATH         M[104] =.8

# 48xx Setup
 37.008  M4805  RNGLK 1000V
 37.009  4805         1000V                        500H                 S  2W
 37.010  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 37.011  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 37.012  MATH         M[105]  = 20    ;    S[30] = "G1"
 37.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 37.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 37.015  IEEE         [D2000]

# Take Reading
 37.016  TARGET       -m
 37.017  CALL         Sub Datron 10xx Take Reading IEEE
 37.018  MEMCX        1000.00V       M104U         500H

# ********************* 1000V @ 20kHz Output ********************************

# Setup Registers      Delay Time
 38.001  MATH         M[255] = 10

# Set Tolerance
 38.002  MATH         M[104] = 2.00

# 48xx Setup
 38.003  M4805  RNGLK 1000V
 38.004  4805         1000V                        20kH                 S  2W
 38.005  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 38.006  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 38.007  MATH         M[105]  = 20    ;    S[30] = "G3"
 38.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 38.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 38.010  IEEE         [D2000]

# Take Reading
 38.011  TARGET       -m
 38.012  CALL         Sub Datron 10xx Take Reading IEEE
 38.013  MEMCX        1000.00V       M104U         20kH


# Rest After High Voltage
 39.001  IEEE         F3R6C0A0
# Setup Registers      Delay Time
 39.002  MATH         M[255] = 40  ; S[32] = "Rest Period"
 39.003  CALL         Sub Wait

 39.004  LABEL        SKIP_ACV

#**************************** DC CURRENT *******************************
#***********************************************************************
 39.005  JMPL         SKIP_DCI  CMPI ("DC Current (Option 30)",S[13]) != 1
 39.006  JMPL         SKIP_FMT_DCI  CMPI ("> 17",S[4]) == 1
 39.007  MATH         M[108] = 1E6
 39.008  LABEL        SKIP_FMT_DCI

 39.009  RSLT         =
 39.010  HEAD         {Function: DC Current}
 39.011  TARGET       -p

# Measurement Setup
 39.012  VSET         NTHROW = 1 NMEAS = 5

# UUT Setup Filter when Carrying out Adjustment
 39.013  MATH         S[26] = "C0"

# UUT Setup Filter When Taking Reading
 39.014  MATH         S[27] = "C0"


# ***************** 100 uA RANGE ****************

# Set String Registers:        Range          Units
 39.015  MATH         S[2] = "100" ; S[3]  = "uA"

# Set Numeric Register:  Units
 39.016  MATH         M[103] = 1e-6

# UUT Setup to 100uA Range
 39.017  RSLT         =
 39.018  RSLT         =100 uA Range
 39.019  IEEE         F5R2C0A0

# ********************* + 0 uA Output ********************************

# Setup Registers      Delay Time      Message
 39.020  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 39.021  MATH         M[104] = 0.002

# 48xx Setup
 39.022  M4805  RNGLK 100uA
 39.023  4805         0uA                                               S  2W
 39.024  IEEE         [@4805]G1=

 39.025  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 39.026  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 39.027  MATH         M[105]  = 40    ;    S[30] = "G0"
 39.028  CALL         Sub Datron 10xx Cal Adjust IEEE
 39.029  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 39.030  IEEE         [D2000]

# Take Reading
 39.031  TARGET       -m
 39.032  CALL         Sub Datron 10xx Take Reading IEEE
 39.033  MEMCX        +0.000uA       M104U


# ********************* +100 uA Output ********************************

# Setup Registers      Delay Time
 40.001  MATH         M[255] = 10

# Set Tolerance
 40.002  MATH         M[104] = 0.009

# 48xx Setup
 40.003  M4805  RNGLK 100uA
 40.004  4805         100uA                                             S  2W
 40.005  IEEE         [@4805]G1=
 40.006  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 40.007  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 40.008  MATH         M[105]  = 20    ;    S[30] = "G1"
 40.009  CALL         Sub Datron 10xx Cal Adjust IEEE
 40.010  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 40.011  IEEE         [D2000]

# Take Reading
 40.012  TARGET       -m
 40.013  CALL         Sub Datron 10xx Take Reading IEEE
 40.014  MEMCX        100.000uA      M104U


# ***************** 1mA RANGE ****************

# Set String Registers:        Range          Units
 41.001  MATH         S[2] = "1" ; S[3]  = "mA"

# Set Numeric Register:  Units
 41.002  MATH         M[103] = 1e-3

# UUT Setup to 1mA Range
 41.003  RSLT         =
 41.004  RSLT         =1mA Range
 41.005  IEEE         F5R3C0A0

# ********************* + 0 mA Output ********************************

# Setup Registers      Delay Time      Message
 41.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 41.007  MATH         M[104] = 0.00002

# 48xx Setup
 41.008  M4805  RNGLK 1mA
 41.009  4805         0mA                                               S  2W
 41.010  IEEE         [@4805]G1=
 41.011  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 41.012  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 41.013  MATH         M[105]  = 40    ;    S[30] = "G0"
 41.014  CALL         Sub Datron 10xx Cal Adjust IEEE
 41.015  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 41.016  IEEE         [D2000]

# Take Reading
 41.017  TARGET       -m
 41.018  CALL         Sub Datron 10xx Take Reading IEEE
 41.019  MEMCX        +0.00000mA     M104U


# ********************* +1mA Output ********************************

# Setup Registers      Delay Time
 42.001  MATH         M[255] = 10

# Set Tolerance
 42.002  MATH         M[104] = 0.00009

# 48xx Setup
 42.003  M4805  RNGLK 1mA
 42.004  4805         1mA                                               S  2W
 42.005  IEEE         [@4805]G1=
 42.006  CALL         Sub Wait


# Take Reading
 42.007  TARGET       -m
 42.008  CALL         Sub Datron 10xx Take Reading IEEE
 42.009  MEMCX        1.00000mA      M104U


# ***************** 10mA RANGE ****************

# Set String Registers:        Range          Units
 43.001  MATH         S[2] = "10" ; S[3]  = "mA"

# Set Numeric Register:  Units
 43.002  MATH         M[103] = 1e-3

# UUT Setup to 10mA Range
 43.003  RSLT         =
 43.004  RSLT         =10 mA Range
 43.005  IEEE         F5R4C0A0

# ********************* + 0 mA Output ********************************

# Setup Registers      Delay Time      Message
 43.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 43.007  MATH         M[104] = 0.0002

# 48xx Setup
 43.008  M4805  RNGLK 10mA
 43.009  4805         0mA                                               S  2W
 43.010  IEEE         [@4805]G1=
 43.011  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 43.012  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 43.013  MATH         M[105]  = 40    ;    S[30] = "G0"
 43.014  CALL         Sub Datron 10xx Cal Adjust IEEE
 43.015  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 43.016  IEEE         [D2000]

# Take Reading
 43.017  TARGET       -m
 43.018  CALL         Sub Datron 10xx Take Reading IEEE
 43.019  MEMCX        +0.0000mA      M104U


# ********************* +10mA Output ********************************

# Setup Registers      Delay Time
 44.001  MATH         M[255] = 10

# Set Tolerance
 44.002  MATH         M[104] = 0.0009

# 48xx Setup
 44.003  M4805  RNGLK 10mA
 44.004  4805         10mA                                              S  2W
 44.005  IEEE         [@4805]G1=
 44.006  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 44.007  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 44.008  MATH         M[105]  = 20    ;    S[30] = "G1"
 44.009  CALL         Sub Datron 10xx Cal Adjust IEEE
 44.010  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 44.011  IEEE         [D2000]

# Take Reading
 44.012  TARGET       -m
 44.013  CALL         Sub Datron 10xx Take Reading IEEE
 44.014  MEMCX        10.0000mA      M104U


# ***************** 100 mA RANGE ****************

# Set String Registers:        Range          Units
 45.001  MATH         S[2] = "100" ; S[3]  = "mA"

# Set Numeric Register:  Units
 45.002  MATH         M[103] = 1e-3

# UUT Setup to 100uA Range
 45.003  RSLT         =
 45.004  RSLT         =100 mA Range
 45.005  IEEE         F5R5C0A0

# ********************* + 0 mA Output ********************************

# Setup Registers      Delay Time      Message
 45.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 45.007  MATH         M[104] = 0.002

# 48xx Setup
 45.008  M4805  RNGLK 100mA
 45.009  4805         0mA                                               S  2W
 45.010  IEEE         [@4805]G1=
 45.011  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 45.012  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 45.013  MATH         M[105]  = 40    ;    S[30] = "G0"
 45.014  CALL         Sub Datron 10xx Cal Adjust IEEE
 45.015  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 45.016  IEEE         [D2000]

# Take Reading
 45.017  TARGET       -m
 45.018  CALL         Sub Datron 10xx Take Reading IEEE
 45.019  MEMCX        +0.000mA       M104U


# ********************* +100mA Output ********************************

# Setup Registers      Delay Time
 46.001  MATH         M[255] = 10

# Set Tolerance
 46.002  MATH         M[104] = 0.009

# 48xx Setup
 46.003  M4805  RNGLK 100mA
 46.004  4805         100mA                                             S  2W
 46.005  IEEE         [@4805]G1=
 46.006  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 46.007  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 46.008  MATH         M[105]  = 20    ;    S[30] = "G1"
 46.009  CALL         Sub Datron 10xx Cal Adjust IEEE
 46.010  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 46.011  IEEE         [D2000]

# Take Reading
 46.012  TARGET       -m
 46.013  CALL         Sub Datron 10xx Take Reading IEEE
 46.014  MEMCX        100.000mA      M104U


# ***************** 1000mA RANGE ****************

# Set String Registers:        Range          Units
 47.001  MATH         S[2] = "1000" ; S[3]  = "mA"

# Set Numeric Register:  Units
 47.002  MATH         M[103] = 1e-3

# UUT Setup to 1000mA Range
 47.003  RSLT         =
 47.004  RSLT         =1000 mA Range
 47.005  IEEE         F5R6C0A0

# ********************* + 0 mA Output ********************************

# Setup Registers      Delay Time      Message
 47.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 47.007  MATH         M[104] = 0.02

# 48xx Setup
 47.008  M4805  RNGLK 1000mA
 47.009  4805         0mA                                               S  2W
 47.010  IEEE         [@4805]G1=
 47.011  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 47.012  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 47.013  MATH         M[105]  = 40    ;    S[30] = "G0"
 47.014  CALL         Sub Datron 10xx Cal Adjust IEEE
 47.015  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 47.016  IEEE         [D2000]

# Take Reading
 47.017  TARGET       -m
 47.018  CALL         Sub Datron 10xx Take Reading IEEE
 47.019  MEMCX        +0.00mA        M104U


# ********************* +1000mA Output ********************************

# Setup Registers      Delay Time
 48.001  MATH         M[255] = 15

# Set Tolerance
 48.002  MATH         M[104] = 0.14

# 48xx Setup
 48.003  M4805  RNGLK 1000mA
 48.004  4805         1000mA                                            S  2W
 48.005  IEEE         [@4805]G1=
 48.006  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 48.007  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 48.008  MATH         M[105]  = 20    ;    S[30] = "G1"
 48.009  CALL         Sub Datron 10xx Cal Adjust IEEE
 48.010  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 48.011  IEEE         [D2000]

# Take Reading
 48.012  TARGET       -m
 48.013  CALL         Sub Datron 10xx Take Reading IEEE
 48.014  MEMCX        1000.00mA      M104U


# Rest After High Voltage
 49.001  IEEE         F3R6C0A0
# Setup Registers      Delay Time
 49.002  MATH         M[255] = 40  ; S[32] = "Rest Period"
 49.003  CALL         Sub Wait
 49.004  LABEL        SKIP_DCI


#**************************** AC CURRENT *******************************
#***********************************************************************
 49.005  JMPL         SKIP_ACI  CMPI ("AC Current (Option 30)",S[14]) != 1
 49.006  JMPL         SKIP_FMT_ACI  CMPI ("> 17",S[4]) == 1
 49.007  MATH         M[108] = 1E6
 49.008  LABEL        SKIP_FMT_ACI

 49.009  RSLT         =
 49.010  HEAD         {Function: AC Current}
 49.011  TARGET       -p

# UUT Setup Filter when Carrying out Adjustment
 49.012  MATH         S[26] = "C0"

# UUT Setup Filter When Taking Reading
 49.013  MATH         S[27] = "C1"

# Measurement Setup
 49.014  VSET         NTHROW = 1 NMEAS = 5
 49.015  4805         9e-5V                        500H                 S  2W
 49.016  4805         *                                                 S

 49.017  ASK-                              U
# ***************** 100 uA RANGE ****************

# Set String Registers:        Range          Units
 49.018  MATH         S[2] = "100" ; S[3]  = "uA"

# Set Numeric Register:  Units
 49.019  MATH         M[103] = 1e-6

# UUT Setup to 100uA Range AC + DCI
 49.020  RSLT         =
 49.021  RSLT         =100 uA DC + ACI Range
 49.022  IEEE         F7R2C0A0

# ********************* + 0 uA Output ********************************

# Setup Registers      Delay Time      Message
 49.023  MATH         M[255] = 40  ; S[32] = "Settling Time"

# Set Tolerance
 49.024  MATH         M[104] = 0.002

# 48xx Setup
 49.025  MATH         MEM1  = 0
 49.026  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 49.027  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 49.028  MATH         M[105]  = 40    ;    S[30] = "G0"
 49.029  CALL         Sub Datron 10xx Cal Adjust IEEE
 49.030  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 49.031  IEEE         [D2000]

# Take Reading
 49.032  TARGET       -m
 49.033  CALL         Sub Datron 10xx Take Reading IEEE
 49.034  MEMCX        +0.000uA       M104U         Open

#*********************************************************************

# UUT Setup to 100uA Range ACI
 50.001  RSLT         =
 50.002  RSLT         =100 uA Range
 50.003  IEEE         F4R2C0A0

# ********************* + 0 uA Output ********************************

# Setup Registers      Delay Time      Message
 50.004  MATH         M[255] = 5  ; S[32] = "Settling Time"

# Set Tolerance
 50.005  MATH         M[104] = 0.1

# 48xx Setup

 50.006  CALL         Sub Wait

# Take Reading
 50.007  TARGET       -m
 50.008  CALL         Sub Datron 10xx Take Reading IEEE
 50.009  MEMCX        +0.000uA       M104U         Open

# ***************** 1mA RANGE ****************

# Set String Registers:        Range          Units
 51.001  MATH         S[2] = "1" ; S[3]  = "mA"

# Set Numeric Register:  Units
 51.002  MATH         M[103] = 1e-3

# UUT Setup to 1mA Range AC + DCI
 51.003  RSLT         =
 51.004  RSLT         =1mA DC + ACI Range
 51.005  IEEE         F7R3C0A0

# ********************* + 0 mA Open Output ********************************

# Setup Registers      Delay Time      Message
 51.006  MATH         M[255] = 5  ; S[32] = "Settling Time"

# Set Tolerance
 51.007  MATH         M[104] = 0.00002

# 48xx Setup

 51.008  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 51.009  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 51.010  MATH         M[105]  = 40    ;    S[30] = "G0"
 51.011  CALL         Sub Datron 10xx Cal Adjust IEEE
 51.012  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 51.013  IEEE         [D2000]

# Take Reading
 51.014  TARGET       -m
 51.015  CALL         Sub Datron 10xx Take Reading IEEE
 51.016  MEMCX        +0.00000mA     M104U         Open

# ***************** 10mA RANGE ****************

# Set String Registers:        Range          Units
 52.001  MATH         S[2] = "10" ; S[3]  = "mA"

# Set Numeric Register:  Units
 52.002  MATH         M[103] = 1e-3

# UUT Setup to 1mA Range AC + DCI
 52.003  RSLT         =
 52.004  RSLT         =10mA DC + ACI Range
 52.005  IEEE         F7R4C0A0

# ********************* + 0 mA Open Output ********************************

# Setup Registers      Delay Time      Message
 52.006  MATH         M[255] = 5  ; S[32] = "Settling Time"

# Set Tolerance
 52.007  MATH         M[104] = 0.0002

# 48xx Setup

 52.008  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 52.009  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 52.010  MATH         M[105]  = 40    ;    S[30] = "G0"
 52.011  CALL         Sub Datron 10xx Cal Adjust IEEE
 52.012  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 52.013  IEEE         [D2000]

# Take Reading
 52.014  TARGET       -m
 52.015  CALL         Sub Datron 10xx Take Reading IEEE
 52.016  MEMCX        +0.0000mA      M104U         Open

# ***************** 100mA RANGE ****************

# Set String Registers:        Range          Units
 53.001  MATH         S[2] = "100" ; S[3]  = "mA"

# Set Numeric Register:  Units
 53.002  MATH         M[103] = 1e-3

# UUT Setup to 1mA Range AC + DCI
 53.003  RSLT         =
 53.004  RSLT         =100mA DC + ACI Range
 53.005  IEEE         F7R5C0A0

# ********************* + 0 mA Open Output ********************************

# Setup Registers      Delay Time      Message
 53.006  MATH         M[255] = 5  ; S[32] = "Settling Time"

# Set Tolerance
 53.007  MATH         M[104] = 0.002

# 48xx Setup

 53.008  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 53.009  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 53.010  MATH         M[105]  = 40    ;    S[30] = "G0"
 53.011  CALL         Sub Datron 10xx Cal Adjust IEEE
 53.012  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 53.013  IEEE         [D2000]

# Take Reading
 53.014  TARGET       -m
 53.015  CALL         Sub Datron 10xx Take Reading IEEE
 53.016  MEMCX        +0.000mA       M104U         Open

# ***************** 1000mA RANGE ****************

# Set String Registers:        Range          Units
 54.001  MATH         S[2] = "1000" ; S[3]  = "mA"

# Set Numeric Register:  Units
 54.002  MATH         M[103] = 1e-3

# UUT Setup to 1mA Range AC + DCI
 54.003  RSLT         =
 54.004  RSLT         =1000mA DC + ACI Range
 54.005  IEEE         F7R6C0A0

# ********************* + 0 mA Open Output ********************************

# Setup Registers      Delay Time      Message
 54.006  MATH         M[255] = 5  ; S[32] = "Settling Time"

# Set Tolerance
 54.007  MATH         M[104] = 0.02

# 48xx Setup

 54.008  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 54.009  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 54.010  MATH         M[105]  = 40    ;    S[30] = "G0"
 54.011  CALL         Sub Datron 10xx Cal Adjust IEEE
 54.012  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 54.013  IEEE         [D2000]

# Take Reading
 54.014  TARGET       -m
 54.015  CALL         Sub Datron 10xx Take Reading IEEE
 54.016  MEMCX        +0.00mA        M104U         Open

 55.001  ASK+                              U

# ***************** 100 uA RANGE ****************

# Set String Registers:        Range          Units
 55.002  MATH         S[2] = "100" ; S[3]  = "uA"

# Set Numeric Register:  Units
 55.003  MATH         M[103] = 1e-6

# UUT Setup to 100uA Range
 55.004  RSLT         =
 55.005  RSLT         =100 uA AC + DCI Range
 55.006  IEEE         F7R2C1A0

# ********************* 100uA 1kHz Output ********************************

# Setup Registers      Delay Time
 55.007  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 55.008  MATH         M[104] = 0.15

# 48xx Setup
 55.009  M4805  RNGLK 100uA
 55.010  4805         100uA                        1kH                  S  2W
 55.011  IEEE         [@4805]G1=
 55.012  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 55.013  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 55.014  MATH         M[105]  = 20    ;    S[30] = "G1"
 55.015  CALL         Sub Datron 10xx Cal Adjust IEEE
 55.016  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 55.017  IEEE         [D2000]

# Take Reading
 55.018  TARGET       -m
 55.019  CALL         Sub Datron 10xx Take Reading IEEE
 55.020  MEMCX        100.000uA      M104U         1kH


# ***************** 1 mA RANGE ****************

# Set String Registers:        Range          Units
 56.001  MATH         S[2] = "1" ; S[3]  = "mA"

# Set Numeric Register:  Units
 56.002  MATH         M[103] = 1e-3

# UUT Setup to 1mA Range
 56.003  RSLT         =
 56.004  RSLT         =1mA AC + DCI Range
 56.005  IEEE         F7R3C1A0


# ********************* 1mA 1kHz Output ********************************

# Setup Registers      Delay Time
 56.006  MATH         M[255] = 10

# Set Tolerance
 56.007  MATH         M[104] = 0.0015

# 48xx Setup
 56.008  M4805  RNGLK 1mA
 56.009  4805         1mA                          1kH                  S  2W
 56.010  IEEE         [@4805]G1=
 56.011  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 56.012  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 56.013  MATH         M[105]  = 20    ;    S[30] = "G1"
 56.014  CALL         Sub Datron 10xx Cal Adjust IEEE
 56.015  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 56.016  IEEE         [D2000]

# Take Reading
 56.017  TARGET       -m
 56.018  CALL         Sub Datron 10xx Take Reading IEEE
 56.019  MEMCX        1.00000mA      M104U         1kH


# ***************** 10 mA RANGE ****************

# Set String Registers:        Range          Units
 57.001  MATH         S[2] = "10" ; S[3]  = "mA"

# Set Numeric Register:  Units
 57.002  MATH         M[103] = 1e-3

# UUT Setup to 10mA Range
 57.003  RSLT         =
 57.004  RSLT         =10mA AC + DCI Range
 57.005  IEEE         F7R4C1A0


# ********************* 10mA 1kHz Output ********************************

# Setup Registers      Delay Time
 57.006  MATH         M[255] = 10

# Set Tolerance
 57.007  MATH         M[104] = 0.015

# 48xx Setup
 57.008  M4805  RNGLK 10mA
 57.009  4805         10mA                         1kH                  S  2W
 57.010  IEEE         [@4805]G1=
 57.011  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 57.012  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 57.013  MATH         M[105]  = 20    ;    S[30] = "G1"
 57.014  CALL         Sub Datron 10xx Cal Adjust IEEE
 57.015  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 57.016  IEEE         [D2000]

# Take Reading
 57.017  TARGET       -m
 57.018  CALL         Sub Datron 10xx Take Reading IEEE
 57.019  MEMCX        10.0000mA      M104U         1kH


# ***************** 100 mA RANGE ****************

# Set String Registers:        Range          Units
 58.001  MATH         S[2] = "100" ; S[3]  = "mA"

# Set Numeric Register:  Units
 58.002  MATH         M[103] = 1e-3

# UUT Setup to 100mA Range
 58.003  RSLT         =
 58.004  RSLT         =100mA AC + DCI Range
 58.005  IEEE         F7R5C1A0


# ********************* 100mA 1kHz Output ********************************

# Setup Registers      Delay Time
 58.006  MATH         M[255] = 15

# Set Tolerance
 58.007  MATH         M[104] = 0.15

# 48xx Setup
 58.008  M4805  RNGLK 100mA
 58.009  4805         100mA                        1kH                  S  2W
 58.010  IEEE         [@4805]G1=
 58.011  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 58.012  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 58.013  MATH         M[105]  = 20    ;    S[30] = "G1"
 58.014  CALL         Sub Datron 10xx Cal Adjust IEEE
 58.015  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 58.016  IEEE         [D2000]

# Take Reading
 58.017  TARGET       -m
 58.018  CALL         Sub Datron 10xx Take Reading IEEE
 58.019  MEMCX        100.000mA      M104U         1kH


# ***************** 1000 mA RANGE ****************

# Set String Registers:        Range          Units
 59.001  MATH         S[2] = "1000" ; S[3]  = "mA"

# Set Numeric Register:  Units
 59.002  MATH         M[103] = 1e-3

# UUT Setup to 1000mA Range
 59.003  RSLT         =
 59.004  RSLT         =1000mA AC + DCI Range
 59.005  IEEE         F7R6C1A0


# ********************* 1000mA 1kHz Output ********************************

# Setup Registers      Delay Time
 59.006  MATH         M[255] = 20

# Set Tolerance
 59.007  MATH         M[104] = 1.5

# 48xx Setup
 59.008  M4805  RNGLK 1000mA
 59.009  4805         1000mA                       1kH                  S  2W
 59.010  IEEE         [@4805]G1=
 59.011  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 59.012  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 59.013  MATH         M[105]  = 20    ;    S[30] = "G1"
 59.014  CALL         Sub Datron 10xx Cal Adjust IEEE
 59.015  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 59.016  IEEE         [D2000]

# Take Reading
 59.017  TARGET       -m
 59.018  CALL         Sub Datron 10xx Take Reading IEEE
 59.019  MEMCX        1000.00mA      M104U         1kH


# Rest After High Voltage
 60.001  IEEE         F3R6C0A0
# Setup Registers      Delay Time
 60.002  MATH         M[255] = 40  ; S[32] = "Rest Period"
 60.003  CALL         Sub Wait

 60.004  LABEL        SKIP_ACI

#**************************** RESISTANCE *******************************
#***********************************************************************
 60.005  JMPL         SKIP_RES  CMPI ("Resistance (Option 20)",S[12])!= 1

 60.006  RSLT         =
 60.007  HEAD         {Function: Resistance}
 60.008  TARGET       -p

# Measurement Setup
 60.009  VSET         NTHROW = 1 NMEAS = 5

# ***************** 10 Ohm RANGE ****************

# Set String Registers:        Range          Units
 60.010  MATH         S[2] = "10" ; S[3]  = "Ohm"

# Set Numeric Register:  Units
 60.011  MATH         M[103] = 1   ; M[108] = 1

# UUT Setup Filter when Carrying out Adjustment
 60.012  MATH         S[26] = "C0"

# UUT Setup Filter When Taking Reading
 60.013  MATH         S[27] = "C0"


# UUT Setup to 10 Ohm Range
 60.014  RSLT         =
 60.015  RSLT         =10 Ohm Range
 60.016  IEEE         F1R1C0A2

# *********************  0 Ohm Output ********************************

# Setup Registers      Delay Time      Message
 60.017  MATH         M[255] = 15  ; S[32] = "Settling Time"

# Set Tolerance
 60.018  MATH         M[104] = 0.0002

# 48xx Setup
 60.019  M4805        *
 60.020  4805         0Z                                                S  4W
 60.021  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 60.022  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 60.023  MATH         M[105]  = 40    ;    S[30] = "G0"
 60.024  CALL         Sub Datron 10xx Cal Adjust IEEE
 60.025  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 60.026  IEEE         [D2000]

# Take Reading
 60.027  TARGET       -m
 60.028  CALL         Sub Datron 10xx Take Reading IEEE
 60.029  MEMCX        +0.00000Z      M104U


# ********************* 10 Ohm Output ********************************

# Setup Registers      Delay Time
 61.001  MATH         M[255] = 10

# Set Tolerance
 61.002  MATH         M[104] = 0.0004

# 48xx Setup
 61.003  4805         10Z                                               S  4W
 61.004  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 61.005  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.
 61.006  MATH         M[105]  = 20

# Gain Cal
 61.007  MATH         S[30]= "K" &FMT(MEM1,"%.8g")&"E-3"&"G1"

 61.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 61.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 61.010  IEEE         [D2000]

# Take Reading
 61.011  TARGET       -m
 61.012  CALL         Sub Datron 10xx Take Reading IEEE
 61.013  MEMCX  10    Z              M104U

# ***************** 100 Ohm RANGE ****************

# Set String Registers:        Range          Units
 62.001  MATH         S[2] = "100" ; S[3]  = "Ohm"

# Set Numeric Register:  Units
 62.002  MATH         M[103] = 1

# UUT Setup to 10 Ohm Range
 62.003  RSLT         =
 62.004  RSLT         =100 Ohm Range
 62.005  IEEE         F1R2C0A2

# *********************  0 Ohm Output ********************************

# Setup Registers      Delay Time      Message
 62.006  MATH         M[255] = 15  ; S[32] = "Settling Time"

# Set Tolerance
 62.007  MATH         M[104] = 0.002

# 48xx Setup
 62.008  M4805        *
 62.009  4805         0Z                                                S  4W
 62.010  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 62.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 62.012  MATH         M[105]  = 40    ;    S[30] = "G0"
 62.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 62.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 62.015  IEEE         [D2000]

# Take Reading
 62.016  TARGET       -m
 62.017  CALL         Sub Datron 10xx Take Reading IEEE
 62.018  MEMCX        +0.0000Z       M104U



# ********************* 100Ohm Output ********************************

# Setup Registers      Delay Time
 63.001  MATH         M[255] = 10

# Set Tolerance
 63.002  MATH         M[104] = 0.002

# 48xx Setup
 63.003  4805         100Z                                              S  4W
 63.004  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 63.005  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.
 63.006  MATH         M[105]  = 20

 63.007  MATH         S[30]= "K" &FMT(MEM1,"%.8g")&"E-3"&"G1"

 63.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 63.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 63.010  IEEE         [D2000]

# Take Reading
 63.011  TARGET       -m
 63.012  CALL         Sub Datron 10xx Take Reading IEEE
 63.013  MEMCX        Z              M104U



# ***************** 1 kOhm RANGE ****************

# Set String Registers:        Range          Units
 64.001  MATH         S[2] = "1" ; S[3]  = "kOhm"

# Set Numeric Register:  Units
 64.002  MATH         M[103] = 1e3

# UUT Setup to 1 kOhm Range
 64.003  RSLT         =
 64.004  RSLT         =1 kOhm Range
 64.005  IEEE         F1R3C0A2

# *********************  0 Ohm Output ********************************

# Setup Registers      Delay Time      Message
 64.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 64.007  MATH         M[104] = 0.00002

# 48xx Setup
 64.008  M4805        *
 64.009  4805         0kZ                                               S  4W
 64.010  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 64.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 64.012  MATH         M[105]  = 40    ;    S[30] = "G0"
 64.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 64.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 64.015  IEEE         [D2000]

# Take Reading
 64.016  TARGET       -m
 64.017  CALL         Sub Datron 10xx Take Reading IEEE
 64.018  MEMCX        +0.000000kZ    M104U



# ********************* 1kOhm Output ********************************

# Setup Registers      Delay Time
 65.001  MATH         M[255] = 10

# Set Tolerance
 65.002  MATH         M[104] = 0.00002

# 48xx Setup
 65.003  4805         1kZ                                               S  4W
 65.004  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 65.005  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 65.006  MATH         M[105]  = 20    ;    S[30]="K"&FMT(MEM1, "%.8g")&"G1"
 65.007  CALL         Sub Datron 10xx Cal Adjust IEEE
 65.008  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 65.009  IEEE         [D2000]

# Take Reading
 65.010  TARGET       -m
 65.011  CALL         Sub Datron 10xx Take Reading IEEE
 65.012  MEMCX        kZ             M104U



# ***************** 10 kOhm RANGE ****************

# Set String Registers:        Range          Units
 66.001  MATH         S[2] = "10" ; S[3]  = "kOhm"

# Set Numeric Register:  Units
 66.002  MATH         M[103] = 1e3

# UUT Setup to 10 kOhm Range
 66.003  RSLT         =
 66.004  RSLT         =10 kOhm Range
 66.005  IEEE         F1R4C0A2

# *********************  0 Ohm Output ********************************

# Setup Registers      Delay Time      Message
 66.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 66.007  MATH         M[104] = 0.0002

# 48xx Setup
 66.008  M4805        *
 66.009  4805         0kZ                                               S  4W
 66.010  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 66.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 66.012  MATH         M[105]  = 40    ;    S[30] = "G0"
 66.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 66.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 66.015  IEEE         [D2000]

# Take Reading
 66.016  TARGET       -m
 66.017  CALL         Sub Datron 10xx Take Reading IEEE
 66.018  MEMCX        +00.00000kZ    M104U



# ********************* 10kOhm Output ********************************

# Setup Registers      Delay Time
 67.001  MATH         M[255] = 10

# Set Tolerance
 67.002  MATH         M[104] = 0.0002

# 48xx Setup
 67.003  4805         10kZ                                              S  4W
 67.004  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 67.005  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 67.006  MATH         M[105]  = 20    ;    S[30]="K"&FMT(MEM1, "%.8g")&"G1"
 67.007  CALL         Sub Datron 10xx Cal Adjust IEEE
 67.008  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 67.009  IEEE         [D2000]

# Take Reading
 67.010  TARGET       -m
 67.011  CALL         Sub Datron 10xx Take Reading IEEE
 67.012  MEMCX        kZ             M104U



# ***************** 100 kOhm RANGE ****************

# Set String Registers:        Range          Units
 68.001  MATH         S[2] = "100" ; S[3]  = "kOhm"

# Set Numeric Register:  Units
 68.002  MATH         M[103] = 1e3

# UUT Setup to 100 kOhm Range
 68.003  RSLT         =
 68.004  RSLT         =100 kOhm Range
 68.005  IEEE         F1R5C0A2

# *********************  0 kOhm Output ********************************

# Setup Registers      Delay Time      Message
 68.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 68.007  MATH         M[104] = 0.002

# 48xx Setup
 68.008  M4805        *
 68.009  4805         0kZ                                               S  4W
 68.010  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 68.011  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 68.012  MATH         M[105]  = 40    ;    S[30] = "G0"
 68.013  CALL         Sub Datron 10xx Cal Adjust IEEE
 68.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 68.015  IEEE         [D2000]

# Take Reading
 68.016  TARGET       -m
 68.017  CALL         Sub Datron 10xx Take Reading IEEE
 68.018  MEMCX        +0.0000kZ      M104U



# ********************* 100kOhm Output ********************************

# Setup Registers      Delay Time
 69.001  MATH         M[255] = 10

# Set Tolerance
 69.002  MATH         M[104] = 0.003

# 48xx Setup
 69.003  4805         100kZ                                             S  4W
 69.004  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 69.005  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.;    Gain Cal
 69.006  MATH         M[105]  = 20    ;    S[30]="K"&FMT(MEM1, "%.8g")&"G1"
 69.007  CALL         Sub Datron 10xx Cal Adjust IEEE
 69.008  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 69.009  IEEE         [D2000]

# Take Reading
 69.010  TARGET       -m
 69.011  CALL         Sub Datron 10xx Take Reading IEEE
 69.012  MEMCX        kZ             M104U



# ***************** 1000 kOhm RANGE ****************

# Set String Registers:        Range          Units
 70.001  MATH         S[2] = "1000" ; S[3]  = "kOhm"

# Set Numeric Register:  Units
 70.002  MATH         M[103] = 1e3

# UUT Setup Filter when Carrying out Adjustment
 70.003  MATH         S[26] = "C1"

# UUT Setup Filter When Taking Reading
 70.004  MATH         S[27] = "C1"


# UUT Setup to 1000 kOhm Range
 70.005  RSLT         =
 70.006  RSLT         =1000 kOhm Range
 70.007  IEEE         F1R6C1A2

# *********************  0 Ohm Output ********************************

# Setup Registers      Delay Time      Message
 70.008  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 70.009  MATH         M[104] = 0.02

# 48xx Setup
 70.010  M4805        *
 70.011  4805         0kZ                                               S  4W
 70.012  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 70.013  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 70.014  MATH         M[105]  = 40    ;    S[30] = "G0"
 70.015  CALL         Sub Datron 10xx Cal Adjust IEEE
 70.016  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 70.017  IEEE         [D2000]

# Take Reading
 70.018  TARGET       -m
 70.019  CALL         Sub Datron 10xx Take Reading IEEE
 70.020  MEMCX        +0.0000kZ      M104U



# ********************* 1000kOhm Output ********************************

# Setup Registers      Delay Time
 71.001  MATH         M[255] = 10

# Set Tolerance
 71.002  MATH         M[104] = 0.04

# 48xx Setup
 71.003  4805         1000kZ                                            S  4W
 71.004  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 71.005  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.
 71.006  MATH         M[105]  = 20

 71.007  MATH         S[30]= "K" &FMT(MEM1,"%.8g")&"G1"

 71.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 71.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 71.010  IEEE         [D2000]

# Take Reading
 71.011  TARGET       -m
 71.012  CALL         Sub Datron 10xx Take Reading IEEE
 71.013  MEMCX        kZ             M104U



# ***************** 10 MOhm RANGE ****************

# Measurement Setup
 72.001  VSET         NTHROW = 2 NMEAS = 5


# Set String Registers:        Range          Units
 72.002  MATH         S[2] = "10" ; S[3]  = "MOhm"

# Set Numeric Register:  Units
 72.003  MATH         M[103] = 1e6

# UUT Setup to 10 MOhm Range
 72.004  RSLT         =
 72.005  RSLT         =10 MOhm Range
 72.006  IEEE         F1R7C1A2

# *********************  0 MOhm Output ********************************

# Setup Registers      Delay Time      Message
 72.007  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 72.008  MATH         M[104] = 0.0002

# 48xx Setup
 72.009  M4805        *
 72.010  4805         0MZ                                               S  4W
 72.011  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 72.012  MATH         M[10] = 5       ; M[2] = 0

#                    Tight Tol Percnt.;    Cal Zero
 72.013  MATH         M[105]  = 40    ;    S[30]= "G0"
 72.014  CALL         Sub Datron 10xx Cal Adjust IEEE
 72.015  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 72.016  IEEE         [D2000]

# Take Reading
 72.017  TARGET       -m
 72.018  CALL         Sub Datron 10xx Take Reading IEEE
 72.019  MEMCX        +0.00000MZ     M104U



# ********************* 10MOhm Output ********************************

# Setup Registers      Delay Time
 73.001  MATH         M[255] = 10

# Set Tolerance
 73.002  MATH         M[104] = 0.0016

# 48xx Setup
 73.003  4805         10MZ                                              S  4W
 73.004  CALL         Sub Wait

# Set Sub Cal Adjustust Registers
#                       Readings      Discards
 73.005  MATH         M[10] = 5       ; M[2] = 0
#                    Tight Tol Percnt.
 73.006  MATH         M[105]  = 20

 73.007  MATH         S[30]= "K" &FMT(MEM1,"%.8g")&"E+3"&"G1"

 73.008  CALL         Sub Datron 10xx Cal Adjust IEEE
 73.009  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 73.010  IEEE         [D2000]

# Take Reading
 73.011  TARGET       -m
 73.012  CALL         Sub Datron 10xx Take Reading IEEE
 73.013  MEMCX        MZ             M104U


# Rest After High Voltage
 74.001  IEEE         F3R6C0A0
# Setup Registers      Delay Time
 74.002  MATH         M[255] = 40  ; S[32] = "Rest Period"
 74.003  CALL         Sub Wait


 74.004  LABEL        SKIP_RES

 74.005  PIC          1081_dis
 74.006  HEAD         End of Procedure
 74.007  IEEE         W0
 74.008  IEEE         [GTL]
 74.009  DISP         Disconnect all connections and Power Down the UUT.
 74.010  LABEL        END
 74.011  END
